#ifndef ATAK_H
#define ATAK_H

// includes

#include "board.h"
#include "bitboard.h"

// types

typedef  struct {
    BitBoard b[2][7];
} attack_t;

// functions

/*  The attack routines  */
short AttackSq (board_t *board, short piece, short from, short to, short side);
short AttackToSq (board_t *board, short sq, short side);
short AttackToRegion (board_t *board, BitBoard b, short side);
BitBoard AttackToSqBitBoard (board_t *board, int sq, int side);
BitBoard AttackXToSqBitBoard (board_t *board, int sq, int side);
BitBoard AttackFromSqBitBoard (board_t *board, int sq,  int side);
BitBoard AttackXFromSqBitBoard (board_t *board, int sq, int side);

void AttackGen (board_t *board, attack_t *attack);
int AttackValidate(board_t *board, attack_t *attack);

#endif
