#ifndef SWAP_H
#define SWAP_H


#define SwapOffSignEx SwapOffSignExNaive


/*  The swap routines  */
int SwapOff (board_t *board, int move);
int SwapOffEx(board_t *board, int move, int move_already_made);
int SwapOffSignExNaive (board_t *board, int move, int threshold, int move_already_made);
int SwapOffSignExAB (board_t *board, int move, int threshold, int move_already_made);
int SwapOffSignExClassic (board_t *board, int move, int threshold, int move_already_made);

void AddXrayPiece (board_t *board, 
		   int t, 
		   int sq, 
		   int side, 
		   BitBoard *b, 
		   BitBoard *c);


#endif
